CRAN Package Check Results for Package autothresholdr

Last updated on 2017-09-26 01:47:09.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.6.0 12.62 38.77 51.39 OK
r-devel-linux-x86_64-debian-gcc 0.6.0 10.11 38.35 48.47 OK
r-devel-linux-x86_64-fedora-clang 0.6.0 96.94 OK
r-devel-linux-x86_64-fedora-gcc 0.6.0 90.26 OK
r-devel-windows-ix86+x86_64 0.6.0 31.00 93.00 124.00 OK
r-patched-linux-x86_64 0.6.0 10.21 37.93 48.14 OK
r-release-linux-x86_64 0.6.0 10.29 38.44 48.73 OK
r-release-windows-ix86+x86_64 0.6.0 31.00 100.00 131.00 OK
r-release-osx-x86_64 0.6.0 ERROR
r-oldrel-windows-ix86+x86_64 0.6.0 32.00 95.00 127.00 OK
r-oldrel-osx-x86_64 0.6.0 ERROR

Check Details

Version: 0.6.0
Check: package dependencies
Result: ERROR
    Package required but not available: ‘EBImage’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64

Version: 0.6.0
Check: examples
Result: ERROR
    Running examples in ‘autothresholdr-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: auto_thresh
    > ### Title: Automatically threshold an image.
    > ### Aliases: auto_thresh auto_thresh_mask auto_thresh_apply_mask
    >
    > ### ** Examples
    >
    > img <- EBImage::readImage(system.file("extdata", "eg.tif",
    + package = "autothresholdr"), as.is = TRUE)
    > auto_thresh(img, "huang")
    Error in rJava::.jnew("Auto_Threshold_R") :
     java.lang.UnsupportedClassVersionError: Auto_Threshold_R : Unsupported major.minor version 52.0
    Calls: auto_thresh -> <Anonymous> -> .External
    Execution halted
Flavor: r-oldrel-osx-x86_64

Version: 0.6.0
Check: tests
Result: ERROR
    Running the tests in ‘tests/testthat.R’ failed.
    Last 13 lines of output:
     java.lang.UnsupportedClassVersionAuto_Threshold_R : Unsupported major.minor version 52.0
     1: expect_equal(auto_thresh(img, "IJD"), auto_thresh(img, "default")) at testthat/test_thresh.R:6
     2: compare(object, expected, ...)
     3: auto_thresh(img, "IJD")
     4: rJava::.jnew("Auto_Threshold_R")
    
     testthat results ================================================================
     OK: 2 SKIPPED: 0 FAILED: 2
     1. Error: mean_stack_thresh works (@test_stack_thresh.R#5)
     2. Error: auto_thresh works (@test_thresh.R#6)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-oldrel-osx-x86_64

Version: 0.6.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 40-43 (autothresholdr.Rmd)
    Error: processing vignette 'autothresholdr.Rmd' failed with diagnostics:
    java.lang.UnsupportedClassVersionError: Auto_Threshold_R : Unsupported major.minor version 52.0
    Execution halted
Flavor: r-oldrel-osx-x86_64